Create Widget Template

Creates a **Widget Template**. ***Note:*** *There is a limit of 1000 custom widget templates per channel, and a limit of 5000 across all channels.* **Required Fields** * name * template

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
namestringRequired

User-friendly name.

templatestringRequiredformat: "html"
Handlebars HTML content. Also has access to Stencil Paper helpers.
schemalist of objectsOptional

The schema for the widget’s merchant-facing UI. For more information on the available schema settings, see Widget UI Schema.

storefront_api_querystringOptional
The GraphQL Storefront API query that provides widget data.
channel_idintegerOptional
The id of the channel on which to create this template. Defaults to the first channel created on the store.

Response

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error